"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.V2RevocationNotificationHandler = exports.V1RevocationNotificationHandler = void 0;
const messages_1 = require("../messages");
class V1RevocationNotificationHandler {
    constructor(revocationService) {
        this.supportedMessages = [messages_1.V1RevocationNotificationMessage];
        this.revocationService = revocationService;
    }
    async handle(messageContext) {
        await this.revocationService.v1ProcessRevocationNotification(messageContext);
    }
}
exports.V1RevocationNotificationHandler = V1RevocationNotificationHandler;
class V2RevocationNotificationHandler {
    constructor(revocationService) {
        this.supportedMessages = [messages_1.V2RevocationNotificationMessage];
        this.revocationService = revocationService;
    }
    async handle(messageContext) {
        await this.revocationService.v2ProcessRevocationNotification(messageContext);
    }
}
exports.V2RevocationNotificationHandler = V2RevocationNotificationHandler;
//# sourceMappingURL=RevocationNotificationHandler.js.map